'''
Created on 15 Feb 2011

@author: swilshin

Runs tests
'''

from sys import exc_info

modules=['dataContainers','trialContainers','subjectContainers','dogSprings','horseBlock','birdStep','utils','dogGaitTrans','dogJoint','hDSheep']

def test(package):
    try:
        X = __import__(package)
        t = X.runTests()
        if t!=False:
            return(True)
        else:
            return(False)
    except:
        print "Test of "+package+" Failed!"
        print "Error:", exc_info()[0]
        return(False)

testResults=[(test(m),m) for m in modules]


print "Testing Complete!"
if all(testResults):
    print "All tests PASSED!"
else:
    print "Some tests FAILED!"
for t,m in testResults:
    print m+" test result:\t", t
